[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BaseBounds

The rectangle with the designed bounds for the control.

## Declaration

Source position: controls.pp line 1685

`public property TControl.BaseBounds : TRect read FBaseBounds;`

## Description

The current Bounds can change, due to scaling, anchoring or auto-sizing.

## See also

TControl.Anchors |  | The set of anchor definitions for this control.
TControl.AnchorSide |  | Array of anchor definitions, indexed by the control sides.
TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.
TControl.SetBoundsKeepBase |  | Set the bounds, keeping the base values.